-- single

local children =
{
	-- i had externally scaled the old pad by 10 and then 10 (zoom,0.75)
	--[[
	LoadActor("oldpad")..{
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-80;zoom,0.75;rotationx,33);
		BeginCommand=cmd(cullmode,'CullMode_None');
		OnCommand=cmd(linear,0.25;diffusealpha,1;spin;effectmagnitude,0,20,0);
		GainFocusCommand=cmd(linear,0.25;faderight,0;cropright,0);
		LoseFocusCommand=cmd(linear,0.25;faderight,1;cropright,1);
		OffFocusedCommand=cmd(linear,0.2;stopeffect;rotationy,0);
	};
	]]
	
	LoadActor(THEME:GetPathG("_pad","single"))..{
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-80;zoom,7;rotationx,33);
		OnCommand=cmd(linear,0.25;diffusealpha,1;spin;effectmagnitude,0,20,0);
		GainFocusCommand=cmd(visible,true);
		LoseFocusCommand=cmd(visible,false);
	};
	
	LoadActor("explain") ..{
		InitCommand=cmd(x,SCREEN_CENTER_X-64;y,SCREEN_CENTER_Y+120;horizalign,left;diffusealpha,0);
		OnCommand=cmd(linear,0.25;diffusealpha,1);
		GainFocusCommand=cmd(linear,0.25;faderight,0;cropright,0);
		LoseFocusCommand=cmd(linear,0.25;faderight,1;cropright,1);
		OffCommand=cmd(linear,0.2;diffusealpha,0);
	};
};

return Def.ActorFrame{ FOV=80; children=children; };